DRM_ATOMIC_STATE_FRE(9)

NAME
drm_atomic_state_free - free all memory for an atomic state

SYNOPSIS

void drm_atomic_state_free(struct drm_atomic_state * state);

ARGUMENTS

state
    atomic state to deallocate

DESCRIPTION

This frees all memory associated with an atomic state, including all the per-object state for planes, crtcs and connectors.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT